Bug 788857 - RFE: Omit NON-TRANSLATABLE strings when pushing .properties files
RFE: Omit NON-TRANSLATABLE strings when pushing .properties files
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-Maven (Show other bugs)
1.5-SNAPSHOT
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Runa Bhattacharjee
Ding-Yi Chen
: Improvement
Depends On:
Blocks: zanata-1.5.0
  Show dependency treegraph
 
Reported: 2012-02-09 01:28 EST by Sean Flanigan
Modified: 2013-03-03 21:22 EST (History)
3 users (show)

See Also:
Fixed In Version: 1.5.0-alpha-2
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-06 19:08:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Sean Flanigan 2012-02-09 01:28:08 EST
Description of problem:

Java .properties files often contain entries which are not meant to be translated, but are instead a form of configuration.  (Sometimes it's the entire file, sometimes not.)

We should implement a mechanism which would allow developers to mark up sections of .properties files as non-translatable, so that they won't be imported into Zanata and modified by translators, creating additional work and potentially introducing runtime bugs.

This page describes a suggested scheme:
http://wiki.eclipse.org/Eclipse_Globalization_Guidelines#Non-translatable_Message_Strings

We already have an implementation for this scheme in Zanata (in PropReader), it just needs to be integrated into the REST client.
Comment 1 Sean Flanigan 2012-02-09 19:25:36 EST
Implemented in https://github.com/zanata/zanata/commit/02e9482314bfc7088bd410d9d347b1668e2fcef3 (master branch)
Comment 2 Ding-Yi Chen 2012-02-28 01:32:40 EST
Test cases:
1. WeldCore 1.1> jboss_as/build.property
   # START NON-TRANSLATABLE
   # END NON-TRANSLATABLE
   Sandwich the whole string

2. WeldCore 1.1> examples/build.property
   ## START NON-TRANSLATABLE 
   ## END NON-TRANSLATABLE
   Sandwich the 1st string

3. WeldCore 1.1> environments/servlet/tests/jetty/src/test/debug-resources/META-INF/jboss-test-harness 
   " # START NON-TRANSLATABLE"
   " # END NON-TRANSLATABLE "
   Sandwich the 1st string

   " # # START NON-TRANSLATABLE"
   " # # END NON-TRANSLATABLE "
   Sandwich the 3rd string

   "# START NON-TRANSLATABLE"
   is above the 5th string

Passed.

VERIFIED with client API version: 1.5.0-alpha-2, server API version: 1.5.0-alpha-3-SNAPSHOT

Note You need to log in before you can comment on or make changes to this bug.